/**
 * 云函数入口文件
 * 初始化数据库
 */
const cloud = require('wx-server-sdk');
const {
  MediaController,
  MediaOnceController,
  getArticleController,
  getScheduleController,
  getLiveController,
  getLiveListController
} = require("./controller/index");
cloud.init({
  env: 'shengshi-5gwo482xaec28676'
})
// 云函数入口函数
exports.main = async (event, context) => {
  switch (event.type) {
    case "getMediaController": {
      delete event.type;
      return MediaController(event);
    }

    case "getMediaOnceController": {
      delete event.type
      return MediaOnceController(event)
    }

    case "getArticle": {
      delete event.type;
      return getArticleController(event)
    }

    case "getSchedule": {
      delete event.type
      return getScheduleController(event)
    }

    case "getLiveData":{
      delete event.type;
      return getLiveController(event);
    }

    case "getLiveListData":{
      delete event.type;
      return getLiveListController(event);
    }

    default: {
      return {}
    }
  }
}